Subject: bug#22789: 25.1.50; In last master build https connections stop working

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Sun, 06 Mar 2016 10:31:43 +0100

Alain Schneble <[email-masked]> writes:

> I should have written "multiple times" not "many times".  I just had a
> case where for four network processes (get image requests)
> gnutls_try_handshake returned for each of these processes -28
> GNUTLS_E_AGAIN three times in a row, followed by a single -110
> GNUTLS_E_PREMATURE_TERMINATION and then repeatedly by -10
> GNUTLS_E_INVALID_SESSION.

Hm!  That GNUTLS_E_PREMATURE_TERMINATION is interesting.  Does that
mean that Emacs has closed the socket, or that the peer has closed the
connection, I wonder?

I've had a look at the gnutls source code, and if I'm reading the code
correctly, that error code doesn't really distinguish the two cases...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no